Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions | Variables
p11.cpp File Reference
`#include <botan/p11.h>`
`#include <botan/p11_session.h>`
`#include <cstdint>`
`#include <string>`
`#include <functional>`

Go to the source code of this file.

## Namespaces
| Botan
| Botan::PKCS11

## Functions
void | Botan::PKCS11::change_pin (Slot &slot, const secure_string &old_pin, const secure_string &new_pin)
void | Botan::PKCS11::change_so_pin (Slot &slot, const secure_string &old_so_pin, const secure_string &new_so_pin)
void | Botan::PKCS11::initialize_token (Slot &slot, const std::string &label, const secure_string &so_pin, const secure_string &pin)
void | Botan::PKCS11::set_pin (Slot &slot, const secure_string &so_pin, const secure_string &pin)

## Variables
ReturnValue * | Botan::PKCS11::ThrowException = reinterpret_cast< ReturnValue* >(-1)